
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="../bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="food-orders.html">

<dom-module id="food-profile">
    
    <template>
    <style is="custom-style" include="iron-flex iron-flex-alignment iron-flex-factors iron-flex-reverse"></style>
            
    <style>
        
        .wrapper {
            text-align: center;
        }  

        @media (min-width: 640px) {
            .wrapper {
                padding: 24px;
            }
        } 
        .wrapper>div
        {
            padding: 0 16px;
        }
             
    </style>

    <div class="wrapper">
        <div class="layout vertical center justified">
            <h2 class="flex">Мои заказы</h2>
            <h2>[[user.profile.name]]</h2>
            <h2 staff$=[[user.staff]]>[[user.emails.0.address]]</h2>                  
            <paper-button on-tap="_logout" class="action-logout">Разлогиниться</paper-button>

        </div>
         
        <food-orders></food-orders>
    </div>
     
  </template>

  <script>

    class FoodProfile extends Polymer.Element {

      static get is() { return 'food-profile'; }

    
        connectedCallback() {
            super.connectedCallback();
            Tracker.autorun(() => {
              this.user = Meteor.user();
            });
            // Subscribe to the count for the current room.
        }

        _logout()
        {
            Meteor.logout();
            this.dispatchEvent(new CustomEvent('route-change', {
                    bubbles: true, composed: true, detail: {
                      path: '/home'
                    }})); 
        }
    }

    customElements.define(FoodProfile.is, FoodProfile);

  </script>

</dom-module>
